## org.apache.mahout.classifier.df.mapreduce
Class MapredOutput

    java.lang.Object
      org.apache.mahout.classifier.df.mapreduce.MapredOutput

All Implemented Interfaces:
  Cloneable, org.apache.hadoop.io.Writable

    public class MapredOutput

extends Object
implements org.apache.hadoop.io.Writable, Cloneable

Used by various implementation to return the results of a build.
Contains a grown tree and and its oob predictions.

Constructor Summary
`MapredOutput()`
`MapredOutput(Node tree)`
`MapredOutput(Node tree, int[] predictions)`

Method Summary
`MapredOutput` `clone()`
`boolean` `equals(Object obj)`
`Node` `getTree()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapredOutput

    public MapredOutput()

### MapredOutput

    public MapredOutput(Node tree,
                        int[] predictions)

### MapredOutput

    public MapredOutput(Node tree)

Method Detail

### getTree

    public Node getTree()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### clone

    public MapredOutput clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.